> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appcharge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Offer



## OpenAPI

````yaml DELETE /offering/offer/{publisherOfferId}
openapi: 3.0.0
info:
  title: Offering API
  description: Offering API for enabling publishers to push new assets
  version: '1.0'
  contact: {}
servers:
  - url: https://api-sandbox.appcharge.com
security: []
tags: []
paths:
  /offering/offer/{publisherOfferId}:
    delete:
      tags:
        - Offers
      operationId: delete-offer
      parameters:
        - name: publisherOfferId
          required: true
          in: path
          schema:
            type: string
        - name: x-publisher-token
          required: true
          in: header
          description: The publisher token
          schema:
            type: string
      responses:
        '200':
          description: Delete Offer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OfferDtoResponse'
        '401':
          description: Not Authorized
components:
  schemas:
    OfferDtoResponse:
      type: object
      properties:
        offerId:
          type: string
        publisherOfferId:
          type: string
        name:
          type: string
        displayName:
          type: string
        description:
          type: string
        type:
          type: string
        createdBy:
          type: string
        offerUi:
          $ref: '#/components/schemas/OfferUiDto'
        dynamicOfferUi:
          $ref: '#/components/schemas/DynamicOfferUiDto'
        active:
          type: boolean
        segments:
          type: array
          items:
            type: string
        productsSequence:
          type: array
          items:
            $ref: '#/components/schemas/ProductsSequenceResponse'
        startOver:
          type: boolean
        priority:
          type: number
        showAfter:
          type: string
        triggers:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
              eventName:
                type: string
              every:
                type: integer
              rules:
                type: array
                items: {}
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    OfferUiDto:
      type: object
      properties:
        offerUiId:
          type: string
        externalId:
          type: string
        active:
          type: boolean
        offerUiType:
          type: string
        name:
          type: string
        description:
          type: string
        backgroundImage:
          type: string
        specialOffer:
          type: object
          properties:
            templateType:
              type: string
            presentOfferEndTimer:
              type: boolean
            title:
              type: string
            fontSize:
              type: number
            fontWeight:
              type: string
            fontColor:
              type: object
              properties:
                colorOne:
                  type: string
                colorTwo:
                  type: string
                direction:
                  type: string
            backgroundColor:
              type: object
              properties:
                colorOne:
                  type: string
                colorTwo:
                  type: string
                direction:
                  type: string
    DynamicOfferUiDto:
      type: object
      properties:
        badges:
          type: array
          items:
            type: object
            properties:
              publisherBadgeId:
                type: string
              position:
                type: string
          description: The badges of the offer
        salePercentage:
          type: number
        salePercentageDisplayType:
          type: string
          default: percentage
    ProductsSequenceResponse:
      type: object
      properties:
        index:
          type: number
        playerAvailability:
          type: number
        priceInUsdCents:
          type: number
        products:
          type: array
          items:
            $ref: '#/components/schemas/ProductsSetResponse'
    ProductsSetResponse:
      type: object
      properties:
        quantity:
          type: number
        product:
          $ref: '#/components/schemas/ProductDto'
    ProductDto:
      type: object
      properties:
        publisherProductId:
          type: string
        name:
          type: string
        textFontColorHex:
          type: string
        type:
          type: string
        prefix:
          type: string
        suffix:
          type: string
        priority:
          type: string
        images:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
              url:
                type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        productId:
          type: string

````